Templates
# Get Chart Template List
Returns the available Chart templates in the template library and the system variables supported by the templates.
Request
GET /openapi/templates/charts
1
Permission
This endpoint requires a valid API token.
Response Description
| Parameter Name | Type | Description |
|---|---|---|
system_variables | []SystemVariable | System variable list |
chart_templates | []ChartTemplate | Chart template list |
SystemVariable Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
key | string | Variable name |
description | string | Description |
ChartTemplate Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
name | string | Template name |
codehost_id | int | Code host ID |
owner | string | Repository owner |
namespace | string | Repository namespace |
repo | string | Repository name |
path | string | Template path |
branch | string | Branch name |
Response Example
{
"system_variables": [
{
"key": "$T-Project$",
"description": "Project name"
}
],
"chart_templates": [
{
"name": "demo",
"codehost_id": 1,
"owner": "koderover",
"namespace": "charts",
"repo": "demo-chart",
"path": "charts/demo",
"branch": "main"
}
]
}
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19


